%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5

%bcond tests    1

# Core Dump Fix
%global optflags %(echo '%optflags' | sed s/-Wp,-D_GLIBCXX_ASSERTIONS//)

Name:           mcrt_dataio
Version:        14.22.0.0
Release:        1%{?dist}
Summary:        Progressive image compression used with Arras

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(freetype2)

BuildRequires:  cmake(ArrasCore) = 4.10.3.0
BuildRequires:  cmake(McrtDenoise) = 5.22.0.0
BuildRequires:  cmake(McrtMessages) = 13.6.0.0
BuildRequires:  cmake(SceneRdl2) = 14.22.0.0

Requires:       ArrasCore = 4.10.3.10
Requires:       McrtDenoise = 5.22.0.0
Requires:       McrtMessages = 13.6.0.0
Requires:       SceneRdl2 = 14.22.0.0
Provides:       McrtDataio = %{version}

%description
Progressive image compression used with Arras


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       pkgconfig(cppunit)
Requires:  pkgconfig(freetype2)
Requires:       cmake(ArrasCore) = 4.10.3.0
Requires:       cmake(McrtDenoise) = 5.22.0.0
Requires:       cmake(McrtMessages) = 13.6.0.0
Requires:       cmake(SceneRdl2) = 14.22.0.0

%description    devel
The %{name}-devel package contains libraries and header files of %{name}, required to build other parts of OpenMoonRay.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_

sed -i '/#include <string>/a #include <cstdint>' \
        lib/share/util/FpsTracker.h
sed -i '/#include <iostream>/a #include <cstdint>' \
        lib/engine/mcrt/McrtControl.h
sed -i '/#include <iomanip>/a #include <cstdint>' \
        lib/engine/merger/FbMsgUtil.cc


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=cmake_modules/cmake \
    -DMOONRAY_USE_OPTIX=OFF \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_bindir}/{infoRecDump,sockTest,verifyMcrtFeedback}
%{_libdir}/libclient_receiver.so
%{_libdir}/libengine_{mcrt,merger}.so
%{_libdir}/libshare_{codec,sock,util}.so

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/McrtDataio-%(echo %{version} | sed 's/\(.*\)\.[0-9]*$/\1/').0


%changelog
%autochangelog
